evaluations
Get evaluations status
Requires scopes: eval:read
GET
/
api
/
evaluations
/
{id}
/
auto-sessions
/
{sessionId}
/
status
Get evaluations status
curl --request GET \
--url https://evalgate.com/api/evaluations/{id}/auto-sessions/{sessionId}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/evaluations/{id}/auto-sessions/{sessionId}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/evaluations/{id}/auto-sessions/{sessionId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sessionId": "<string>",
"name": "<string>",
"objective": "<string>",
"status": "idle",
"currentIteration": 123,
"maxIterations": 123,
"experiments": [
{
"id": "<string>",
"iteration": 123,
"strategyTrack": "<string>",
"candidatePatch": "<string>",
"utilityScore": 123,
"objectiveReduction": 123,
"regressions": 123,
"improvements": 123,
"decision": "<string>",
"hardVetoReason": "<string>",
"reflection": "<string>",
"createdAt": "<string>",
"assertionFailures": {}
}
],
"bestExperiment": {
"id": "<string>",
"iteration": 123,
"strategyTrack": "<string>",
"candidatePatch": "<string>",
"utilityScore": 123,
"objectiveReduction": 123,
"regressions": 123,
"improvements": 123,
"decision": "<string>",
"hardVetoReason": "<string>",
"reflection": "<string>",
"createdAt": "<string>",
"assertionFailures": {}
},
"budgetUsed": {
"iterations": 123,
"costUsd": 123
},
"startedAt": "<string>",
"completedAt": "<string>",
"stopReason": "<string>",
"error": "<string>",
"workflowProfile": {
"recipeTitle": "<string>",
"workflowClass": "approval_gated_mutation",
"autonomyLevel": "manual",
"approvalMode": "human_review",
"memoryMode": "session",
"backgroundExecution": true,
"requiredHooks": [
"session_start"
],
"linkedFailureModes": [
"<string>"
],
"successMetrics": [
"<string>"
],
"guardrails": [
"<string>"
],
"recommendedIterations": 123,
"source": "coverage_gap"
},
"runtimeSummary": {
"executionMode": "analysis_only",
"finalStatus": "failed",
"stopReason": "<string>",
"approvalState": "<string>",
"hookCount": 123,
"memoryReadCount": 123,
"checkpointCreated": true,
"handoffCount": 123,
"debugSnapshotCount": 123,
"decisionCount": 123,
"workflowRunId": 123,
"traceId": 123
},
"workflowRun": {
"id": 123,
"status": "<string>",
"handoffCount": 123,
"agentCount": 123,
"completedAt": "<string>"
},
"tasteSnapshot": {
"priorities": [
"<string>"
],
"forbiddenBehaviors": [
"<string>"
],
"frozenAt": "<string>",
"schemaVersion": 1,
"rubricText": "<string>",
"judgeCriteriaRef": 123,
"objectiveTargets": [
{
"metric": "<string>",
"operator": "gte",
"value": 123,
"weight": 123
}
],
"rubricHash": "<string>"
},
"isSwarmMode": true,
"latestRoundSummary": {
"roundNumber": 123,
"agentCount": 123,
"winsApplied": 123,
"completedAt": "<string>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful response
status
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>
required
Available options:
idle Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get evaluations status
